/** @type {import('tailwindcss').Config} */
export default {
    content: [
        "./index.html",
        "./src/**/*.{js,ts,jsx,tsx}",
    ],
    theme: {
        extend: {
            colors: {
                primary: '#1a1a1a',
                secondary: '#666666',
                accent: '#8B8B8B',
                'brand': {
                    purple: '#8B5CF6',
                    pink: '#EC4899',
                    blue: '#3B82F6',
                    teal: '#14B8A6',
                    light: '#F3F4F6',
                },
            },
            fontFamily: {
                sans: ['Inter var', 'system-ui, sans-serif'],
            },
            animation: {
                'scroll': 'scroll 20s linear infinite',
                'spin-slow': 'spin 8s linear infinite',
                'pulse-slow': 'pulse 4s cubic-bezier(0.4, 0, 0.6, 1) infinite',
                'scale-dots': 'scale 1.5s ease-in-out infinite',
            },
            keyframes: {
                scroll: {
                    '0%': { transform: 'translateX(0)' },
                    '100%': { transform: 'translateX(-50%)' },
                },
                scale: {
                    '0%, 100%': { transform: 'scale(0)' },
                    '50%': { transform: 'scale(1)' },
                }
            },
            transitionDelay: {
                '2000': '2000ms',
            }
        },
    },
    plugins: [
        require('@tailwindcss/forms'),
    ],
} 